Bug 123052

Summary: [iOS] Upstream more ARMv7s bits
Product: WebKit Reporter: Daniel Bates <dbates>
Component: JavaScriptCoreAssignee: Daniel Bates <dbates>
Status: RESOLVED FIXED    
Severity: Normal CC: aestes, benjamin, cmarcelo, commit-queue, fpizlo, ggaren, mhahnenberg
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on: 123180    
Bug Blocks:    
Attachments:
Description Flags
Patch joepeck: review+

Description Daniel Bates 2013-10-18 17:26:29 PDT
Upstream some more bits for ARMv7{f, s}.
Comment 1 Daniel Bates 2013-10-18 17:27:51 PDT
Created attachment 214621 [details]
Patch
Comment 2 Joseph Pecoraro 2013-10-21 16:16:48 PDT
Comment on attachment 214621 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=214621&action=review

r=me

> Source/JavaScriptCore/Configurations/ToolExecutable.xcconfig:44
>  CLANG_ENABLE_OBJC_ARC = $(CLANG_ENABLE_OBJC_ARC_$(CURRENT_ARCH));
> +CLANG_ENABLE_OBJC_ARC_i386 = YES;
>  CLANG_ENABLE_OBJC_ARC_x86_64 = YES;
>  CLANG_ENABLE_OBJC_ARC_arm64 = YES;
>  CLANG_ENABLE_OBJC_ARC_armv7 = YES;

This has armv7s (out of context), should it also have armv7f?
Comment 3 Daniel Bates 2013-10-22 14:52:24 PDT
(In reply to comment #2)
> > Source/JavaScriptCore/Configurations/ToolExecutable.xcconfig:44
> >  CLANG_ENABLE_OBJC_ARC = $(CLANG_ENABLE_OBJC_ARC_$(CURRENT_ARCH));
> > +CLANG_ENABLE_OBJC_ARC_i386 = YES;
> >  CLANG_ENABLE_OBJC_ARC_x86_64 = YES;
> >  CLANG_ENABLE_OBJC_ARC_arm64 = YES;
> >  CLANG_ENABLE_OBJC_ARC_armv7 = YES;
> 
> This has armv7s (out of context), should it also have armv7f?

After talking with David Kilzer today (10/22) on IRC we can omit support for armv7f from this patch. I'll land only the armv7s parts of this patch.
Comment 4 Daniel Bates 2013-10-22 14:53:31 PDT
(In reply to comment #3)
> [...] I'll land only the armv7s parts of this patch.

I'll also land the CLANG_ENABLE_OBJC_ARC_i386 change.
Comment 5 Daniel Bates 2013-10-22 15:01:08 PDT
Committed r157819: <http://trac.webkit.org/changeset/157819>
Comment 6 WebKit Commit Bot 2013-10-22 15:55:04 PDT
Re-opened since this is blocked by bug 123180
Comment 7 Daniel Bates 2013-10-23 09:54:30 PDT
Committed r157862: <http://trac.webkit.org/changeset/157862>